> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of free areas > Get a list of free areas. Available from product version 3.2.2. Free areas can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /free-areas/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/free-areas/": { "get": { "tags": [ "FreeArea" ], "summary": "Get a list of free areas", "description": "Get a list of free areas. Available from product version 3.2.2.\nFree areas can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "parameters": [ { "$ref": "#/components/parameters/offsetParam" }, { "$ref": "#/components/parameters/limitParam" }, { "$ref": "#/components/parameters/srsParam" }, { "$ref": "#/components/parameters/precisionParam" }, { "$ref": "#/components/parameters/dimsParam" }, { "$ref": "#/components/parameters/filterParam" } ], "responses": { "200": { "description": "A result response object.", "content": { "application/json": { "schema": { "type": "object", "properties": { "Next": { "type": "string", "description": "Url to next page of free areas. Null if No next page exist", "format": "url" }, "Previous": { "type": "string", "description": "Url to previous page of free areas. Null if No previous page exist", "format": "url" }, "Results": { "type": "array", "items": { "$ref": "#/components/schemas/FreeArea" } }, "Total": { "type": "integer", "description": "Total number of free areas" } } } } } }, "401": { "$ref": "#/components/responses/Http401" } } } } }, "components": { "parameters": { "offsetParam": { "name": "offset", "in": "query", "description": "Offset to start returning results.", "schema": { "minimum": 0, "type": "integer" } }, "limitParam": { "name": "limit", "in": "query", "description": "Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.", "schema": { "minimum": 1, "type": "integer" } }, "srsParam": { "name": "srs", "in": "query", "description": "Coordinate system used to transform location fields in API responses.\nThis parameter does not apply to locations sent in request query parameters or request bodies.\n\nFor locations in requests, use EWKT with SRID.\nIf EWKT is provided without SRID, the system default SRID will be used.\n\n**Example:** `srs=epsg:4326`\n", "schema": { "type": "string" } }, "precisionParam": { "name": "precision", "in": "query", "description": "Number of decimals to be returned with object location. If parameter is not specified the number of decimals is as precise as possible for current running instance. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "dimsParam": { "name": "dimensions", "in": "query", "description": "number of dimensions to be returned. Acceptable values are 2 and 3. If parameter is not specified the number of dimensions are as default for current product. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "filterParam": { "name": "__any of the object fields__", "in": "query", "description": "Filters list by selected object field value.\nSupports structured queries via +++__+++ delimiter.\nSupports ending keywords via +++__+++ delimiter:\n- For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull\n- For numerics: gt, lt, gte, lte, isnull\n- For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby\n**Examples:** `+++usage_state__txt__istartswith=in+++` ,\n`+++plan__state__txt__startswith=In+++` , `+++creation_date__gte=2019-01-02T15:32:01+++`,\n`+++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++`\nSupports exclusive queries by field value using a not-operator preceding the field lookup:\n**Examples:** `+++not__type__txt__istartswith=Tie+++` , `+++not__id=1390+++`\n", "schema": { "type": "string" } } }, "schemas": { "FreeArea": { "required": [ "location" ], "type": "object", "properties": { "area_size": { "type": "string" }, "color": { "maxLength": 7, "pattern": "^#[0-9a-fA-F]{6}$", "type": "string", "description": "Free area color in hex format (e.g. \"#ff0000\").", "example": "#ff0000" }, "created_by": { "type": "string", "description": "Created by user", "readOnly": true }, "created_date": { "type": "string", "description": "Date of create", "format": "date-time", "readOnly": true }, "id": { "type": "integer", "description": "Unique id of free area", "readOnly": true }, "location": { "type": "string", "description": "Geographical location as EWKT representation", "format": "ewkt" }, "name": { "type": "string", "description": "Free area name" }, "owner": { "$ref": "#/components/schemas/FreeAreaOwner" }, "perimeter": { "type": "string" }, "plan": { "$ref": "#/components/schemas/Plan" }, "state": { "$ref": "#/components/schemas/FreeAreaState" }, "type": { "$ref": "#/components/schemas/FreeAreaType" }, "updated_by": { "type": "string", "description": "Updated by user", "readOnly": true }, "updated_date": { "type": "string", "description": "Date of update", "format": "date-time", "readOnly": true } }, "description": "FreeArea" }, "FreeAreaOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "FREEAREA_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Free Area Owner" }, "Plan": { "required": [ "state", "type", "name" ], "type": "object", "properties": { "Branch_line": { "$ref": "#/components/schemas/DHCPDN" }, "Center_measure": { "$ref": "#/components/schemas/DHCPDN" }, "Construction": { "$ref": "#/components/schemas/PlanConstruction" }, "Excavation": { "$ref": "#/components/schemas/PlanExcavation" }, "Limiter": { "$ref": "#/components/schemas/DHCPLimiter" }, "Plan_piping": { "$ref": "#/components/schemas/PlanPiping" }, "agreed_delivery_date": { "type": "string", "description": "Agreed Delivery Date. Activated on request by customer.", "format": "date-time" }, "area_description": { "type": "string", "description": "Area Description. Activated on request by customer." }, "begin_date": { "type": "string", "description": "Begin Date", "format": "date-time" }, "construction_year": { "type": "integer", "description": "Contact Name. Not shown when displaying plan details in related objects. Activated on request by customer." }, "contact_email": { "type": "string", "description": "Contact Email Address. Activated on request by customer." }, "contact_name": { "type": "string", "description": "Contact Name. Activated on request by customer." }, "contact_phone": { "type": "string", "description": "Contact phone number. Activated on request by customer." }, "cp_identification": { "type": "string", "description": "Consumer Point Identification. Activated on request by customer." }, "created_by": { "type": "string", "description": "Created by" }, "created_date": { "type": "string", "description": "Create Date", "format": "date-time" }, "customer_contact_date": { "type": "string", "description": "Customer Contact Date. Activated on request by customer.", "format": "date-time" }, "description": { "type": "string", "description": "Description" }, "desired_delivery_date": { "type": "string", "description": "Desired Delivery Date. Activated on request by customer.", "format": "date-time" }, "district_area": { "$ref": "#/components/schemas/DistrictArea" }, "duration": { "type": "integer", "description": "Duration. Activated on request by customer." }, "expire_date": { "type": "string", "description": "Expire Date", "format": "date-time" }, "first_contact": { "type": "string", "description": "First contact person for plan. Not shown when displaying plan details in related objects. Activated on request by customer." }, "id": { "type": "integer", "description": "Unique id of plan", "readOnly": true }, "implementation_begin_end": { "type": "string", "description": "Implementation Date. Activated on request by customer.", "format": "date-time" }, "implementation_date": { "type": "string", "description": "Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "latest_implementation_date": { "type": "string", "description": "Latest Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "list_url": { "type": "string", "description": "URL to the list of all Plans. Only shown when displaying plan details in related objects.", "format": "url" }, "location": { "type": "string", "description": "Geographical location. As EWKT representation", "format": "ewkt" }, "louhi_id": { "type": "string", "description": "Louhi ID. Activated on request by customer." }, "modifications": { "type": "string", "description": "Modifications. Not shown when displaying plan details in related objects. Activated on request by customer." }, "name": { "type": "string", "description": "Name of Plan" }, "network": { "$ref": "#/components/schemas/PlanNetworkType" }, "network_owner": { "$ref": "#/components/schemas/PlanNetworkOwner" }, "offer_accepted_date": { "type": "string", "description": "Offer Accepted Date. Activated on request by customer.", "format": "date-time" }, "offer_id": { "type": "string", "description": "Offer ID. Activated on request by customer." }, "parentplan": { "type": "string", "description": "URL to the plan of which the plan is part of (subplan). Available from version 3.2.24. Activated on request by customer.", "format": "url" }, "plan_remark": { "type": "string", "description": "Plan remark. Not shown when displaying plan details in related objects. Activated on request by customer." }, "plumbing_start_date": { "type": "string", "description": "Plumbing Start Date. Activated on request by customer.", "format": "date-time" }, "property_address": { "type": "string", "description": "Property address. Not shown when displaying plan details in related objects. Activated on request by customer." }, "publicity": { "$ref": "#/components/schemas/PlanPublicity" }, "state": { "$ref": "#/components/schemas/PlanState" }, "total_cost": { "type": "number", "description": "Sum of cost for all related objects for the plan. Not shown when displaying plan details in related objects. Activated on request by customer.", "format": "float" }, "type": { "$ref": "#/components/schemas/PlanType" }, "updated_by": { "type": "string", "description": "Updated by" }, "updated_date": { "type": "string", "description": "Update Date", "format": "date-time" }, "work_activities": { "type": "string", "description": "Work Activities. Activated on request by customer." }, "work_phase": { "$ref": "#/components/schemas/PlanWorkPhase" }, "work_project": { "type": "string", "description": "Work Project. Activated on request by customer." }, "work_type": { "$ref": "#/components/schemas/PlanWorkType" }, "work_type_main": { "$ref": "#/components/schemas/PlanWorkTypeMain" }, "work_type_sub": { "$ref": "#/components/schemas/PlanWorkTypeSub" } }, "description": "Plan" }, "FreeAreaState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "FREEAREA_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Free Area usage state" }, "FreeAreaType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "FREEAREA_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Free Area type" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "DHCPDN": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_DN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Duct Diameter" }, "PlanConstruction": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_CONSTRUCTION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Construction" }, "PlanExcavation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_EXCAVATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Excavation" }, "DHCPLimiter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_LIMITER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Limiter" }, "PlanPiping": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PIPING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Piping" }, "DistrictArea": { "type": "object", "properties": { "location": { "type": "string", "description": "Geographical location as EWKT representation", "format": "ewkt" }, "name": { "type": "string", "description": "Name of District Area" } }, "description": "District Area" }, "PlanNetworkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Type" }, "PlanNetworkOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Owner" }, "PlanPublicity": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PUBLICITY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Publicity" }, "PlanState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan state" }, "PlanType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan type" }, "PlanWorkPhase": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_PHASE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Phase" }, "PlanWorkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type" }, "PlanWorkTypeMain": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_MAIN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Main" }, "PlanWorkTypeSub": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_SUB" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Sub" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } } } } ````